--
-- データベース: `books`
--
DROP DATABASE IF EXISTS `books`;
CREATE DATABASE IF NOT EXISTS `books` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `books`;

-- --------------------------------------------------------

--
-- テーブルの構造 `books`
--

CREATE TABLE `books` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `category_id` int(11) NOT NULL COMMENT '分類番号',
  `book_name` varchar(50) NOT NULL COMMENT '書籍名',
  `author` varchar(30) DEFAULT NULL COMMENT '著者名',
  `publish` varchar(30) DEFAULT NULL COMMENT '出版社名',
  `isbn` varchar(15) DEFAULT NULL COMMENT 'ISBNコード',
  `price` int(11) DEFAULT NULL COMMENT '価格',
  `rental_sate` bit(1) DEFAULT NULL COMMENT '貸出状況'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `books`
--

INSERT INTO `books` (`id`, `category_id`, `book_name`, `author`, `publish`, `isbn`, `price`, `rental_sate`) VALUES
(1, 1, 'C言語ポインタ攻略', '山本壮太', '技術出版', '9784000000000', 2500, NULL),
(2, 2, 'コーヒーのように味わえるJava言語', '青山皇妃', '上島社', '9784010000098', 2800, NULL),
(3, 1, '寝ながら覚えるC言語入門', '坂上千里', '技術出版', '9784000000001', 2200, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `categories`
--

CREATE TABLE `categories` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `category_name` varchar(20) NOT NULL COMMENT '分類名'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `categories`
--

INSERT INTO `categories` (`id`, `category_name`) VALUES
(1, 'C言語'),
(2, 'C#');

-- --------------------------------------------------------

--
-- テーブルの構造 `location`
--

CREATE TABLE `location` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `location_name` varchar(25) NOT NULL COMMENT '所在地名',
  `address` varchar(50) DEFAULT NULL COMMENT '住所',
  `tel` varchar(15) DEFAULT NULL COMMENT '電話番号',
  `fax` varchar(15) DEFAULT NULL COMMENT 'FAX番号'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `location`
--

INSERT INTO `location` (`id`, `location_name`, `address`, `tel`, `fax`) VALUES
(1, '岐阜', '岐阜県各務原市', '053-98X-6543', '053-98X-6544'),
(2, '名古屋', '愛知県名古屋市', '052-12X-4567', '052-12X-4568');

-- --------------------------------------------------------

--
-- テーブルの構造 `rentals`
--

CREATE TABLE `rentals` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `book_id` int(11) NOT NULL COMMENT '貸出書籍ID',
  `user_name` varchar(10) NOT NULL COMMENT '利用者名',
  `rental_date` datetime DEFAULT NULL COMMENT '貸出日'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- テーブルの構造 `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `user_name` varchar(20) NOT NULL COMMENT 'ユーザー名',
  `password` varchar(20) NOT NULL COMMENT 'パスワード',
  `name` varchar(30) NOT NULL COMMENT '氏名'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `users`
--

INSERT INTO `users` (`id`, `user_name`, `password`, `name`) VALUES
(1, 'sato', 'spass', '佐藤'),
(2, 'suzuki', 'spass', '鈴木'),
(3, 'takahashi', 'tpass', '高橋');

--
-- ダンプしたテーブルのインデックス
--

--
-- テーブルのインデックス `books`
--
ALTER TABLE `books`
  ADD PRIMARY KEY (`id`);

--
-- テーブルのインデックス `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`);

--
-- テーブルのインデックス `location`
--
ALTER TABLE `location`
  ADD PRIMARY KEY (`id`);

--
-- テーブルのインデックス `rentals`
--
ALTER TABLE `rentals`
  ADD PRIMARY KEY (`id`);

--
-- テーブルのインデックス `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- ダンプしたテーブルのAUTO_INCREMENT
--

--
-- テーブルのAUTO_INCREMENT `books`
--
ALTER TABLE `books`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=4;

--
-- テーブルのAUTO_INCREMENT `categories`
--
ALTER TABLE `categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=3;

--
-- テーブルのAUTO_INCREMENT `location`
--
ALTER TABLE `location`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=3;

--
-- テーブルのAUTO_INCREMENT `rentals`
--
ALTER TABLE `rentals`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID';
COMMIT;
